<?php

namespace App\Http\Controllers\V3\Dashboard;

use App\Facades\Otp\Otp;
use App\Http\Controllers\Controller;
use App\Http\Requests\V3\Otp\GetOtpTokenRequest;
use App\Http\Traits\ApiResponse;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class OtpManagementController extends Controller
{
    use ApiResponse;

    public function getOtpToken(GetOtpTokenRequest $request): JsonResponse
    {
        Otp::getOtpToken($request, $request->ip(), $request->phone_number, "کد تایید تلفن همراه سامانه جامع راهداری (RMS) : \n");

        return $this->successResponse();
    }
}
